



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>flat network 原理与配置 - 每天5分钟玩转 OpenStack（86）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">flat network 原理与配置 - 每天5分钟玩转 OpenStack（86）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-17 01:36:27 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772721238029539.jpg" /></p>
<p>flat network 是不带 tag 的网络，要求宿主机的物理网卡直接与 linux bridge 连接，这意味着：</p>
<p><strong>每个 flat network 都会独占一个物理网卡。</strong></p>
<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772722046096179.jpg" /></p>
<p>上图中 eth1 桥接到 brqXXX，为 instance 提供 flat 网络。 如果需要创建多个 flat network，就得准备多个物理网卡，如下图所示。</p>
<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772722252093579.jpg" /></p>
<p>接下来讨论如何配置 flat 网络。</p>
<h1>在 ML2 配置中 enable flat network</h1>
<p>在 /etc/neutron/plugins/ml2/ml2_conf.ini 设置 flat network 相关参数。</p>
<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772722550096455.jpg" /></p>
<blockquote><p>tenant_network_types = flat</p></blockquote>
<p>指定普通用户创建的网络类型为 flat。 需要注意的是：因为 flat 网络与物理网卡一一对应，一般情况下租户网络<strong>不会</strong>采用 flat，这里只是示例。</p>
<p>接着需要指明 flat 网络与物理网卡的对应关系。</p>
<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772722625035668.jpg" /></p>
<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772722718092762.jpg" /></p>
<p>如上所示： 1. 在 [ml2_type_flat] 中通过 flat_networks 定义了一个 flat 网络，label 为 &ldquo;default&rdquo;。 2. 在 [linux_bridge] 中通过 physical_interface_mappings 指明 default 对应的物理网卡为 eth1。</p>
<h2>理解 label 与 ethX 的关系</h2>
<p>label 是 flat 网络的标识，在创建 flat 时需要指定 label（后面演示）。label 的名字可以是任意字符串，只要确保各个节点 ml2_conf.ini 中的 label 命名一致就可以了。</p>
<p>各个节点中 label 与物理网卡的对应关系可能不一样。这是因为每个节点可以使用不同的物理网卡将 instance 连接到 flat network。</p>
<p>例如对于 label 为 &ldquo;default&rdquo; 的 flat network，节点 A 可能使用 eth1，配置为：</p>
<blockquote><p>physical_interface_mappings = default:eth1</p></blockquote>
<p>而节点 B 则可能使用 eth2，配置为：</p>
<blockquote><p>physical_interface_mappings = default:eth2</p></blockquote>
<h2>支持多个 flat</h2>
<p>如果要创建多个 flat 网络，需要定义多个 label，用逗号隔开，当然也需要用到多个物理网卡，如下所示：</p>
<blockquote><p>[ml2_type_flat]</p>
<p>flat_networks = flat1,flat2</p>
<p>[linux_bridge]</p>
<p>physical_interface_mappings = flat1:eth1,flat2:eth2</p></blockquote>
<p>准备就绪，下一节将创建 flat 网络。</p>
<p><img referrerpolicy="no-referrer"src="http://7xo6kd.com1.z0.glb.clouddn.com/upload-ueditor-image-20160913-1473772722832037059.jpg" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/39r0jde9.html">微软云创益大赛获奖团队风采：做一个中国特色的&period;Net源代码社区</a>
		</li>
						<li><a href="https://www.batexi.com/a/495d1zvq.html">安装oracle ebs 出现问题  atleast 55M of disk space</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93rjmg9.html">oracle使用dbms&lowbar;metadata包取得所有对象DDL语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdee1xv9.html">&lbrack;转载&rsqb;Badboy使用教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1jne69.html">Install and configure Intel NIC teaming on R420</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvve04oq.html">iOS Architecture Patterns</a>
		</li>
						<li><a href="https://www.batexi.com/a/96om2rv9.html">struts2与spring mvc 的比较</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn6ve0q.html">Linux如何查找大文件或目录总结-1127</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mngrlpq.html">python---连接MySQL第四页</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yogkn8.html">MYSQLI  - mysqli操作数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1vnnxq.html">wamp环境中mysql更改root密码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zovx5dq.html">OpenGL与vs编程&mdash;&mdash;error C2440&colon; &OpenCurlyDoubleQuote;glMaterialfv&rdquo;&colon; 无法从&OpenCurlyDoubleQuote;GLfloat&rdquo;转换为&OpenCurlyDoubleQuote;const GLfloat &ast;&rdquo;</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mynx38.html">Python中的re模块--正则表达式</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyrx1j9.html">Android 开发笔记&lowbar;&lowbar;&lowbar;FrameLayout</a>
		</li>
						<li><a href="https://www.batexi.com/a/93ygkzz8.html">Halcon算子翻译&mdash;&mdash;assign</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjx2d38.html">weighted&lowbar;cross&lowbar;entropy&lowbar;with&lowbar;logits</a>
		</li>
						<li><a href="https://www.batexi.com/a/93ylnk08.html">中小研发团队架构实践之微服务MSA</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk1wx08.html">Web前端知识点记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gr0rmq.html">dnsmasq 设置自动获取主机名</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj6ww69.html">MySQL 查询in操作，查询结果按in集合顺序显示</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/jqdp21vq.html">js实现弹出的提示框只弹出一次</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zo061q.html">jquery 获取奇数索引的元素</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxkpd08.html">c&num; http get请求与post请求实例</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7z6pj9.html">Code of Conduct</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9jzk748.html">CI生成查询记录集result&lpar;&rpar;，row&lpar;&rpar;，row&lowbar;array&lpar;&rpar;&period;&period;&period;&period;&period;</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gj1mz9.html">nodejs与v8引擎</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gj1l49.html">ButterKnife--View注入框架的使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlljy6q.html">Algorithm &vert; Binary Search</a>
			</li>
						<li><a href="https://www.batexi.com/a/495gg76q.html">SQL Server出现错误&colon; 4014</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gjjne9.html">Hadoop 和 HDInsight：Windows Azure 中的大数据</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
